> For the complete documentation index, see [llms.txt](https://docs.bluestorm.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bluestorm.io/checks/microflow.md).

# Microflows

- [Incorrect date format](https://docs.bluestorm.io/checks/microflow/mf_0001.md)
- [Incorrect empty string check](https://docs.bluestorm.io/checks/microflow/mf_0002.md)
- [Empty variable used](https://docs.bluestorm.io/checks/microflow/mf_0003.md)
- [Apply entity access when generating documents](https://docs.bluestorm.io/checks/microflow/mf_0004.md)
- [Use inherited entities from System module](https://docs.bluestorm.io/checks/microflow/mf_0005.md)
- [Web service calls with templates should be escaped](https://docs.bluestorm.io/checks/microflow/mf_0006.md)
- [Naming Standards - Microflows](https://docs.bluestorm.io/checks/microflow/mf_0007.md)
- [Logging Standards - Microflows](https://docs.bluestorm.io/checks/microflow/mf_0008.md)
- [Documentation Standards - Microflows](https://docs.bluestorm.io/checks/microflow/mf_0009.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bluestorm.io/checks/microflow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
